XMLGrammarDescription (Xerces Native Interface)
Date: 2016-02-03

org.apache.xerces.xni.grammars

## Interface XMLGrammarDescription

- All Superinterfaces:
    XMLResourceIdentifier
  All Known Subinterfaces:
    XMLDTDDescription, XMLSchemaDescription

      public interface XMLGrammarDescription
      extends XMLResourceIdentifier

  This interface describes basic attributes of XML grammars--their physical location and their type.

  Version:
    $Id: XMLGrammarDescription.java 447245 2006-09-18 05:22:10Z mrglavas $
  Author:
    Neil Graham, IBM

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `XML_DTD` The grammar type constant for DTD grammars.
    `static java.lang.String` | `XML_SCHEMA` The grammar type constant for XML Schema grammars.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getGrammarType()` Return the type of this grammar.

    - ### Methods inherited from interface org.apache.xerces.xni.XMLResourceIdentifier

      `getBaseSystemId, getExpandedSystemId, getLiteralSystemId, getNamespace, getPublicId, setBaseSystemId, setExpandedSystemId, setLiteralSystemId, setNamespace, setPublicId`

- - ### Field Detail

    - #### XML_SCHEMA

          static final java.lang.String XML_SCHEMA

      The grammar type constant for XML Schema grammars. When getGrammarType() method returns this constant, the object should be an instance of the XMLSchemaDescription interface.
      See Also:
        Constant Field Values

    - #### XML_DTD

          static final java.lang.String XML_DTD

      The grammar type constant for DTD grammars. When getGrammarType() method returns this constant, the object should be an instance of the XMLDTDDescription interface.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getGrammarType

          java.lang.String getGrammarType()

      Return the type of this grammar.
      Returns:
        the type of this grammar

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.